/* This file is part of The_Merry_Turnip
 * 
 * The_Merry_Turnip - TODO: Description
 * Copyright © DAVY Guillaume 2009 <davyg2@gmail.com>
 * 
 * The_Merry_Turnip is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * The_Merry_Turnip is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*!	\file chap.h
	\brief Definition of class chap
*/

#ifndef __CHAP_H_INCLUDED__
#define __CHAP_H_INCLUDED__

//!Class containing all the information about a chapter, derive from base
class chap : public base
{
public:
	//! Constructor
	chap();
	
	//! Destructor
	~chap();

	//! Init the chapter
	int init(int,coeur*,IXMLReader*);

	//! Updating(should be call on each loop)
	int update();
	
	//! Close the base
	int close();

	//! add an Item to the item list (chap::listItem)
	item addItem(int id,stringc tex,int it,int cr);
	
	//! Get an item from the list (chap::listItem) by its id
	item getItemFromId(int id);
	
	//! Called when an event occured
	bool OnEvent(const SEvent&);
private:
	
	//! Contain all the item needed by the chapter
	std::vector<item> *listItem;
};// End class chap

#endif //__CHAP_H_INCLUDED__

